Subject: Re: bug#22096: 25.0.50; reading from fifo breaks display

From: Mark Oteiza <[email-masked]>
Date: Sat, 05 Dec 2015 11:06:22 -0500

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 05 Dec 2015 10:19:32 +0200
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>> 
>> > From: Mark Oteiza <[email-masked]>
>> > (info "(elisp) Reading from Files") suggests I should be able to read
>> > from a FIFO.
>> 
>> I guess you mean this part:
>> 
>>      It is possible to read a special file (such as a FIFO or an I/O
>>      device) with `insert-file-contents', as long as REPLACE and VISIT
>>      are `nil'.
>> 
>> It seems this is no longer true, and we have to fix the manual to that
>> effect.
>
> Or maybe that text just gets the value of VISIT wrong: the code in
> question is very old, and always signaled an error for non-regular
> files when VISIT is nil.

Supposedly (according to the docstring) BEG and END have to be nil if
VISIT is t, so I should probably be getting an error about supplying
invalid arguments.